package com.goldenwater.slaj.ttsa.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.ttsa.mapper.BisTtsaExamEnteMapper;
import com.goldenwater.slaj.ttsa.domain.BisTtsaExamEnte;
import com.goldenwater.slaj.ttsa.service.IBisTtsaExamEnteService;

@Service
public class BisTtsaExamEnteServiceImpl implements IBisTtsaExamEnteService {
    @Autowired
    private BisTtsaExamEnteMapper bisTtsaExamEnteMapper;

    @Override
    public BisTtsaExamEnte selectBisTtsaExamEnteByGuid(String guid) {
        return bisTtsaExamEnteMapper.selectBisTtsaExamEnteByGuid(guid);
    }

    @Override
    public List<BisTtsaExamEnte> selectBisTtsaExamEnteList(BisTtsaExamEnte bisTtsaExamEnte) {
        return bisTtsaExamEnteMapper.selectBisTtsaExamEnteList(bisTtsaExamEnte);
    }

    @Override
    public int insertBisTtsaExamEnte(BisTtsaExamEnte bisTtsaExamEnte) {
        return bisTtsaExamEnteMapper.insertBisTtsaExamEnte(bisTtsaExamEnte);
    }

    @Override
    public int updateBisTtsaExamEnte(BisTtsaExamEnte bisTtsaExamEnte) {
        return bisTtsaExamEnteMapper.updateBisTtsaExamEnte(bisTtsaExamEnte);
    }

    @Override
    public int deleteBisTtsaExamEnteByGuid(String guid) {
        return bisTtsaExamEnteMapper.deleteBisTtsaExamEnteByGuid(guid);
    }

    @Override
    public int deleteBisTtsaExamEnteByGuids(String[] guids) {
        return bisTtsaExamEnteMapper.deleteBisTtsaExamEnteByGuids(guids);
    }
}
